Retrieve secret
import requests
url = "https://api.datagrid.com/v1/secrets/{secret_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/secrets/{secret_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/secrets/{secret_id} \
--header 'Authorization: Bearer <token>'{
"object": "secret",
"id": "<string>",
"created_at": "<string>",
"name": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Secrets
Retrieve secret
Retrieve a specific secret by ID.
GET
/
secrets
/
{secret_id}
Retrieve secret
import requests
url = "https://api.datagrid.com/v1/secrets/{secret_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/secrets/{secret_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/secrets/{secret_id} \
--header 'Authorization: Bearer <token>'{
"object": "secret",
"id": "<string>",
"created_at": "<string>",
"name": "<string>"
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the secret to retrieve.
Response
Successfully retrieved secret
The Secret object represents a securely stored secret that can be referenced in converse API calls.